unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, TeeChartBook, ExtCtrls, TeeProcs, TeePreviewPanel, StdCtrls,
  TeeEdit;

type
  TForm1 = class(TForm)
    TeePreviewPanel1: TTeePreviewPanel;
    Button1: TButton;
    CBSmooth: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CBSmoothClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Chart, series, opengl;

var Charts: array of TChart;

procedure TForm1.Button1Click(Sender: TObject);
begin
  TeePreviewPanel1.Print;
end;

procedure TForm1.CBSmoothClick(Sender: TObject);
begin
  TeePreviewPanel1.AsBitmap:=CBSmooth.Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  for i := 0 to 2 do
  begin
    SetLength(Charts,i+1);

    Charts[i]:=TChart.Create(self);
    Charts[i].AddSeries(TLineSeries.Create(self));
    Charts[i][0].FillSampleValues();
    Charts[i].View3D:=false;
  end;

  TeePreviewPanel1.Orientation:=ppoLandscape;
  Charts[0].PrintProportional:=false;
  Charts[0].PrintMargins:=Rect(2, 15, 2, 60);
  TeePreviewPanel1.Panels.Add(Charts[0]);
  Charts[1].PrintProportional:=false;
  Charts[1].PrintMargins:=Rect(2, 40, 2, 35);
  TeePreviewPanel1.Panels.Add(Charts[1]);
  Charts[2].PrintProportional:=false;
  Charts[2].PrintMargins:=Rect(2, 65, 2, 10);
  TeePreviewPanel1.Panels.Add(Charts[2]);
end;

end.
